﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace DefilImagesPlusAnim
{
 public partial class Page : UserControl
 {
  public Page()
  {
   InitializeComponent();
   Pics.SetValue(Canvas.LeftProperty, 0.0);
  }
  bool bCursEnMouvt;
  double xPrec, xBoule;
  void BouleCurseur_MouseLeftButtonDown(object sender, MouseEventArgs e)
  {
   xPrec = e.GetPosition(Curseur).X;
   xBoule = (double)BouleCurseur.GetValue(Canvas.LeftProperty) + BouleCurseur.Width/2;
   bCursEnMouvt = true;
  }
  void BouleCurseur_MouseMove(object sender, MouseEventArgs e)
  {
   if (bCursEnMouvt)
   {
    double X = e.GetPosition(Curseur).X;
    xBoule += X - xPrec; xPrec = X;
    xBoule = Math.Max(0, xBoule);
    xBoule = Math.Min(xBoule, Curseur.ActualWidth);

    BouleCurseur.SetValue(Canvas.LeftProperty, xBoule - BouleCurseur.ActualWidth / 2);
    double Val = (xBoule / Curseur.Width) * (Fenêtre.Rect.Width - Pics.ActualWidth);    
    Pics.SetValue(Canvas.LeftProperty, Val);
   }
  }
  void BouleCurseur_MouseLeftButtonUp(object sender, MouseEventArgs e)
  {
   bCursEnMouvt = false;
  }
  void BouleCurseur_MouseLeave(object sender, EventArgs e)
  {
   bCursEnMouvt = false;
  }

  void imgMouseEnter(object sender, EventArgs e)
  {
   Image img = sender as Image;
   string s = img.Tag.ToString();
   BigImage.Source = new BitmapImage(new Uri(s, UriKind.Relative)); 
   stb.Begin();
  }
 }
}
